/*------------------------------------------------------------------------
    File        : LinkXrefHandler.p
    Purpose     : 
    Syntax      :
    Description : Provides handler for SAX Reader (should be .cls!)
    Author(s)   : 
    Created     : Mon Mar 10 15:38:04 CDT 2014
    Notes       :
  ----------------------------------------------------------------------*/
using com.cintegrity.ABL2DB.BuildRunLinks.

block-level on error undo, throw.

define variable obBuildRunLinks as class BuildRunLinks no-undo.

procedure Initialize:
  define input parameter ipobBuildRunLinks as class BuildRunLinks no-undo.
 
  obBuildRunLinks = ipobBuildRunLinks.

end procedure.

procedure StartElement:
    define input  parameter ipchNameSpaceURI as character  no-undo.
    define input  parameter ipchLocalName as character  no-undo.
    define input  parameter ipchElementType as character  no-undo.
    define input  parameter iphnAttributes as handle no-undo.
  
  obBuildRunLinks:StartElement ( ipchNameSpaceURI, ipchLocalName, ipchElementType, iphnAttributes ).
  
end procedure.

procedure Characters:
    define input parameter ipchData as memptr no-undo.
    define input parameter ipinNumChars as integer no-undo.
 
  obBuildRunLinks:Characters ( ipchData, ipinNumChars ).

end procedure.

procedure EndElement:
    define input  parameter ipchNameSpaceURI as character  no-undo.
    define input  parameter ipchLocalName as character  no-undo.
    define input  parameter ipchElementType as character  no-undo.

  obBuildRunLinks:EndElement ( ipchNameSpaceURI, ipchLocalName, ipchElementType ).
end procedure.   