 /*------------------------------------------------------------------------
    File        : FlyWeightLogger
    Purpose     : 
    Syntax      : 
    Description : Minimum class for logging information to a disk file
    Author(s)   : Thomas Mercer-Hursh
    Created     : Tue May 06 15:42:59 CDT 2014
    Notes       : 
  ----------------------------------------------------------------------*/

using Progress.Lang.*.

block-level on error undo, throw.

class com.cintegrity.LoggingUtils.FlyWeightLogger: 
  define public property chLogDestination as character no-undo get. set.
	
	define private stream stLog.
		
	constructor public FlyWeightLogger (  ):
		
	end constructor.
	
	destructor public FlyWeightLogger ( ):
    CleanUp ( ).
  end.

  method public void Initialize ( ):
    output stream stLog to value(chLogDestination) unbuffered.
  end.
  
  method public void CleanUp ( ):
    output stream stLog close.
  end.    
  
  method public void WriteMessage (
      ipchMessage as character
      ):
    put stream stLog unformatted ipchMessage skip.
  end method.        
        
end class.