class com.cintegrity.Proparse.TestCases.TT_WF_Buffer inherits com.cintegrity.Proparse.TestCases.Super:

  define protected temp-table ttSomething no-undo
      field chOne as character
      field inTwo as integer
      index ixByTwo as primary unique inTwo.
      
  define private buffer bfttSomething for temp-table ttSomething.
  
  define protected buffer bfttSharedSomething for temp-table ttSomething.
  
  define protected buffer bfttNewSharedSomething for temp-table ttSomething.
  
  define private buffer bf_File for _File.
  
  define protected buffer bf_FileS for _File.
  
  define protected buffer bf_FileNS for _File.
  
  define protected query q1 for bf_FileS scrolling.
  
  define protected query q2 for bf_FileS.
  
  define protected query q3 for bf_FileS cache 5 scrolling rcode-information.
  
  define private browse b1 query q1 display bf_FileS._File-Name
  WITH 17 DOWN TITLE "_File Browse".
  
  define protected dataset d1 for bfttSharedSomething.
  
  define private work-table wtSomething no-undo
      field chOne as character
      field inTwo as integer
      .
  define private work-table wtSomething2 no-undo
      field chOne as character
      field inTwo as integer
      .
          
  define private workfile wfSomething no-undo
      field chOne as character
      field inTwo as integer
      .
      
  define private buffer bfwfSomething for wfSomething.
  
  method public void Test1(
    buffer bfttY for _Field
    ):
    define buffer bfttZ for _Field.
    
    create bfttSomething.
    
    find first bf_FileS no-lock.
    
    assign
        bfttSomething.chOne = "A"
        .

    InSuper = "X".
    PropInSuper = "Z".
  
  end method.
  
end class.
