define shared temp-table ttSomething no-undo
    field chOne as character
    field inTwo as integer
    index ixByTwo as primary unique inTwo.
    
define buffer bfttSomething for temp-table ttSomething.

define shared buffer bfttSharedSomething for temp-table ttSomething.

define new shared buffer bfttNewSharedSomething for temp-table ttSomething.

define buffer bf_File for _File.

define shared buffer bf_FileS for _File.

define shared buffer bf_FieldS for _Field.

define new shared buffer bf_FileNS for _File.

define shared query q1 for bf_FileS scrolling.

define shared query q2 for bf_FileS fields ( _file-name  _file-number ) , bf_FieldS fields ( _file-recid _field-name ) cache 5 scrolling.

define new shared query q3 for bf_FileS cache 5 scrolling rcode-information.

define shared browse b1 query q1 display bf_FileS._File-Name
WITH 17 DOWN TITLE "_File Browse".

define shared dataset d1 for bfttSharedSomething.

define shared work-table wtSomething no-undo
    field chOne as character
    field inTwo as integer
    .
define work-table wtSomething2 no-undo
    field chOne as character
    field inTwo as integer
    .
        
define new shared workfile wfSomething no-undo
    field chOne as character
    field inTwo as integer
    .
    
define new shared buffer bfwfSomething for wfSomething.

create bfttSomething.

find first bf_FileS no-lock.

assign
    bfttSomething.chOne = "A"
    .

function Test returns logical private
    (BUFFER bfttX for _Field preselect )
    :
end function.

procedure Test1:
  define parameter buffer bfttY for _Field.
  
end procedure.
